summaryrefslogtreecommitdiffstats
path: root/source/ap/ispell/ispell.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/ispell/ispell.SlackBuild')
-rwxr-xr-xsource/ap/ispell/ispell.SlackBuild102
1 files changed, 102 insertions, 0 deletions
diff --git a/source/ap/ispell/ispell.SlackBuild b/source/ap/ispell/ispell.SlackBuild
new file mode 100755
index 000000000..cf6b4c6b2
--- /dev/null
+++ b/source/ap/ispell/ispell.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Copyright 2002-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=3.2.06
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-ispell
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $PKG $PKG
+
+cd $TMP
+rm -rf ispell-$VERSION
+tar xvf $CWD/ispell-$VERSION.tar.gz || exit 1
+cd ispell-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/ispell.diff.gz | patch -p1 --verbose
+sed -i -e "s#/usr/lib/#/usr/lib${LIBDIRSUFFIX}/#" local.h
+
+make || exit 1
+
+sleep 2 # to make absolutely sure that config will have a later timestamp
+ # than local.h and will not get rebuilt by `make install`
+sed -i -e "s#/usr#$PKG&#g" config.sh
+
+mkdir -p $PKG/usr/{bin,lib${LIBDIRSUFFIX},man}
+make install
+
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/ispell
+ ln -sf americanmed.hash american.hash
+ ln -sf americanmed.hash english.hash
+)
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.*
+ )
+ done
+ )
+fi
+
+# Add documentation to the package:
+mkdir -p $PKG/usr/doc/ispell-$VERSION
+cp -a \
+ Contributors Magiclines README WISHES \
+ $PKG/usr/doc/ispell-$VERSION
+chown -R root:root $PKG/usr/doc/ispell-$VERSION
+
+# Add the package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/ispell-$VERSION-$ARCH-$BUILD.txz
+